"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_notifier_1 = __importDefault(require("node-notifier"));
const COLORS = {
    red: '\x1b[31m',
    green: '\x1b[32m',
    yellow: '\x1b[33m',
    blue: '\x1b[34m',
};
const RESET = '\x1b[0m';
exports.output = (content, color, notify) => {
    const message = Array.isArray(content) ? content : [content];
    console.log(`${COLORS[color]}%s${RESET}`, ...message);
    if (notify) {
        node_notifier_1.default.notify({
            title: 'Remax',
            message: message.join(' '),
        });
    }
};
exports.default = {
    error: (message, notify) => exports.output(`\n🚨 ${message}`, 'red', notify),
};
